From 451ec9f44b96e59606b55fe99a277f373cb7c429 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Oct 30 2020 05:51:30 +0000
Subject: [PATCH 1086/2232] Clippy fixes.


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 7e7a9ea..b2d52bb 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -54,7 +54,7 @@ fn gen_namespace_contents(
     let apis = ns_entries.entries();
 
     out.next_section();
-    for api in apis.into_iter() {
+    for api in apis.iter() {
         match api {
             Api::Struct(strct) => write_struct_decl(out, &strct.ident.cxx.ident),
             Api::CxxType(ety) => write_struct_using(out, &ety.ident.cxx),
@@ -64,7 +64,7 @@ fn gen_namespace_contents(
     }
 
     let mut methods_for_type = HashMap::new();
-    for api in apis.into_iter() {
+    for api in apis.iter() {
         if let Api::RustFunction(efn) = api {
             if let Some(receiver) = &efn.sig.receiver {
                 methods_for_type

